<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <b class="mb-6 block text-[24px] font-bold leading-7"
    >Рассчитайте стоимость</b
  >
  <ng-container *tuiLet="isStartCitiesLoading$ | async as isStartCitiesLoading">
    <label class="mb-4 block" *tuiLet="startCities$ | async as startCites">
      <span class="mb-1 inline-block text-xs text-black opacity-30"
        >Откуда отправляем?</span
      >
      <tui-loader [showLoader]="isStartCitiesLoading">
        <tui-combo-box
          tuiTextfieldSize="m"
          formControlName="startCity"
          [tuiTextfieldLabelOutside]="true"
          [tuiTextfieldCleaner]="true"
          (searchChange)="onSearchStartCityChange($event)"
        >
          <span [class.opacity-0]="isStartCitiesLoading">Выберите город</span>
          <tui-data-list-wrapper
            *tuiDataList
            [items]="startCites"
          ></tui-data-list-wrapper>
        </tui-combo-box>
      </tui-loader>
    </label>
  </ng-container>
  <label class="mb-7 block" *tuiLet="endCities$ | async as endCites">
    <span class="mb-1 inline-block text-xs text-black opacity-30"
      >Куда отправляем?</span
    >
    <tui-loader [showLoader]="isEndCitiesLoading$ | async">
      <tui-combo-box
        tuiTextfieldSize="m"
        formControlName="endCity"
        [tuiTextfieldLabelOutside]="true"
        [tuiTextfieldCleaner]="true"
        (searchChange)="onSearchEndCityChange($event)"
      >
        Выберите город
        <tui-data-list-wrapper
          *tuiDataList
          [items]="endCites"
        ></tui-data-list-wrapper>
      </tui-combo-box>
    </tui-loader>
  </label>
  <button
    type="submit"
    tuiButton
    appearance="accent"
    size="m"
    class="w-full"
    [showLoader]="isSubmitting"
    [disabled]="form.pristine || form.invalid"
  >
    Рассчитать
  </button>
</form>
